[package]
name = "kademlia-dht"
version = "1.0.0"
authors = ["Jeffrey Xiao <jeffrey.xiao1998@gmail.com>"]
license =  "MIT OR Apache-2.0"
readme = "README.md"
repository = "https://gitlab.com/jeffrey-xiao/kademlia-dht-rs"
documentation = "https://docs.rs/kademlia-dht"
description = """
A simple implementation of the Kademlia DHT.
"""
categories = ["algorithms", "concurrency", "data-structures"]
keywords = ["kademlia", "dht"]
include = ["src/**/*", "Cargo.toml"]

[badges]
travis-ci = { repository = "jeffrey-xiao/kademlia-dht-rs", branch = "master" }
codecov = { repository = "jeffrey-xiao/kademlia-dht-rs", service = "gitlab" }

[dependencies]
bincode = "0.9"
log = "0.4"
rand = "0.4"
serde = "1.0"
serde_derive = "1.0"
sha3 = "0.7"
simplelog = "0.5"
time = "0.1"

[dev-dependencies]
num-bigint = "0.1"
